## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/lexicons

Try it

Create a New Lexicon

### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/lexicons \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "EU countries",
  "description": "Countries members of the European Union, e.g. Spain",
  "projectId": "<string>"
}
'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/lexicons"

payload = {
    "name": "EU countries",
    "description": "Countries members of the European Union, e.g. Spain",
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'EU countries',
    description: 'Countries members of the European Union, e.g. Spain',
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => 'EU countries',\
    'description' => 'Countries members of the European Union, e.g. Spain',\
    'projectId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/lexicons"

payload := strings.NewReader("{\n  \"name\": \"EU countries\",\n  \"description\": \"Countries members of the European Union, e.g. Spain\",\n  \"projectId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

```plaintext
201
400
401
402
403
404
405
409
413
500
501
502
503
504
```

### Example Response

```json
{
  "name": "EU countries",
  "description": "Countries members of the European Union, e.g. Spain",
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "values": "<unknown>",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Responses

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

#### APIKeyHeader

- **X-API-Key**: string (header, required) - Supply the API Key in the HTTP-Header

### Headers

#### Accept

- The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Body

- **name**: string - The name of the lexicon. Example: `"EU countries"`
- **description**: string - A meaningful description of the lexicon. Example: `"Countries members of the European Union, e.g. Spain"`
- **projectId**: string - The unique identifier for the Project.

### Response

Returns a Lexicon metadata object.
